%global debug_package %{nil}
Name:           uthash
Version:        2.1.0
Release:        1
Summary:        Hash table for C structures
License:        BSD
URL:            https://github.com/troydhanson/uthash
Source0:        https://github.com/troydhanson/uthash/archive/v%{version}.tar.gz

BuildRequires:  asciidoc
%description
This package provides hash table for C structures. It isn't a library but a single
header file, so there is no library code to link against. It has been tested on
various platforms including Linux, Windows, Solaris, OpenBSD, FreeBSD and Android.
Most of operations on hash table are supported, such as add/replace, find, delete,
count, iterate and sort.

%package        devel
Summary:        Header and library files for uthash

%description    devel
Header and library files for uthash

%package        help
Summary:        Documentation for uthash
BuildArch:	noarch

%description    help
Documentation for uthash

%prep
%autosetup -p1

%build
cd doc/
%make_build V=1
cd ..

%install
install -d %{buildroot}%{_prefix}/share/doc/uthash
install -d %{buildroot}%{_prefix}/share/licenses/uthash/
cp LICENSE %{buildroot}%{_prefix}/share/licenses/uthash/
cp README.md %{buildroot}%{_prefix}/share/doc/uthash/

install -d %{buildroot}%{_includedir}
cd src/
cp * %{buildroot}%{_includedir}
cd ..

install -d %{buildroot}%{_libdir}

%files
%doc %{_prefix}/share/licenses/uthash/LICENSE
%doc %{_prefix}/share/doc/uthash/README.md

%files          devel
%{_includedir}/*

%files          help
%doc %{_prefix}/share/doc/uthash/*
%exclude %{_prefix}/share/doc/uthash/README.md

%changelog
* Tue Jun 02 2020 huanghaitao <huanghaitao8@huawei.com> - 2.1.0-1
- Change source to latest update

* Thu Mar 18 2020 zhangtao <zhangtao221@huawei.com> - 2.0.2-7
- Add stack-protector-strong flag

* Sat Dec 07 2019 lihao <lihao129@huawei.com> - 2.0.2-6
- Package Init

